% The demo GetValue for the Matlab - Matisse interface
% Version 0.7 (July 2001)
%
%   With this interface, you can transparently access the database MATISSE, with
%   (in the end) all the power of Matisse's Application Development Kit. This
%   interface is based on Matisse's Application Programming Interface
%   for the C-language.
%
%   In this example, we access the VideoStore, an example database
%   delivered by Matisse. We browse the Movies in the VideoStore,
%   and we get the values of the different attributes of these objects
%   without actual knowing what their types are.
%
%   See also:
%      Matisse
%
%   And the examples with the functions
%      MtConnectDatabase 
%      MtGetValue
%      MtOpenRelationshipsStream
%      MtSQLExec
%      MtSQLGetColumnInfo
%      MtSQLGetSelection
%      MtSQLGetSelectionName
%      MtSQLGetSelectionNumberObjects
%      MtSQLNextRow
%
%   Version: Matlab 5.3.1.29215a (R11.1) - Matisse 5.0b2
%   Author:  Arnoud Visser <arnoud@science.uva.nl>

    nbObjects = 1;
 
    [status, conn] = MtAllocateConnection;
    status = MtConnectDatabase (conn, 'amelie.wins.uva.nl', 'Video501');
    status = MtSetCurrentConnection (conn);
    status = MtStartVersionAccess;
    [status, stream] = MtOpenInstancesStream('Movie', nbObjects);
 
    i = 1; 
    [status, object(i)] = MtNextObject (stream);
 
    while i <= nbObjects & strcmp (status, 'MATISSE_SUCCESS');
 
       [status] = ...
                	MtGetValue (object(i),'Name', 0, 0, 0, 0, 0); 
       [status, type] = ...
                	MtGetValue (object(i),'Title' , 1, 0, 0, 0, 0); 
       [status, rank] = ...
                	MtGetValue (object(i),'Thumbnail', 0, 0, 1, 0, 0);
       [status, typesize] = ...
                	MtGetValue (object(i),'Rating', 0, 0, 0, 1, 0);
       [status, default] = ...
                	MtGetValue (object(i),'Preview', 0, 0, 0, 0, 1);
  %
  % Many different combinations of output arguments are possible.
  % Yet, to request a value without specifying the correct type is impossible.
  % Read MtGetValue.m itself for to find all possible combinations. 
  % Here only some often used combinations.
  %
       [status, type, typesize] = ...
                  MtGetValue (object(i),'Category', 1, 0, 0, 1, 0);
       [status, type, value, typesize] = ...
                  MtGetValue (object(i),'Category', type, 1, 0, typesize, 0);
 
       [status, type, typesize, default] = ...
                  MtGetValue (object(i), 'Synopsis', 1, 0, 0, 1, 1);
       [status, type, value, typesize, default] = ...
                  MtGetValue (object(i), 'Synopsis', type, 1, 0, typesize, 1);
 
       [status, type, rank, typesize, default] = ...
                  MtGetValue (object(i), 'RunningTime', 1, 0, 1, 1, 1);

       [status, type, value, rank, typesize, default] = ...
                  MtGetValue (object(i), 'RunningTime', type, 1, 1, typesize, 1);
 
       i = i + 1;
       [status, object(i)] = MtNextObject (stream);
    end
    status = MtCloseStream (stream);
    status = MtEndVersionAccess;
    status = MtNoCurrentConnection;
    status = MtDisconnectDatabase (conn);
    status = MtFreeConnection (conn);
 
