% MtCloseStream closes the given stream.
%
%   status = MtCloseStream(stream);
%
%   This function can be called inside a transaction or during a version access.
%
%
%   OUTPUT [1]
%
%      status: 1xn array of char
%          The status indicates if the statement was successful evaluated,
%          otherwise a string other than 'MATISSE_SUCCESS' is returned.
%    
%   INPUT [1]
%
%      stream: number
%          A class stream, an entry-point stream, a relationship stream, 
%          a selection stream or an inverse relationship stream.
%
%   See also: 
%      MtInverseRelationshipsStream
%      MtOpenAttributesStream
%      MtOpenInstancesStream
%      MtOpenEntryPointStream
%      MtOpenIndexEntriesStream
%      MtOpenPredecessorsStream
%      MtOpenSuccessorsStream 

%   This function is part of the Matlab - Matisse interface
%   Version: Matlab 5.3.1.29215a (R11.1) - Matisse 5.0b2
%   Author:  Arnoud Visser <arnoud@science.uva.nl>
%   Date:    July 2001   

