% MtGetAllInverseRelationships retrieves all the relationships of defined for a class.
%
%   [status, numRelationships] = MtGetAllInverseRelationships (class);
%   [status, numRelationships, relationships] = MtGetAllInverseRelationships (class, numRelationships);
%
%   This function can be called inside a transaction or during a version access.
%
%   OUTPUT [2 or 3]
%
%      status: 1xn array of char
%          The status indicates if the statement was successful evaluated,
%          otherwise a string other than 'MATISSE_SUCCESS' is returned.
% 
%      numRelationships: number
%          the number of inverse Relationships returned by the function.
%
%      relationships: array (optional)
%          the list of keys to all inverse Relationships of a class.
%
%   INPUT [1 or 2]
%
%      class: number or string
%          The name or the key to the class.
%
%      numRelationships: number (optional)
%          a flag to indicate that an array of Relationship keys have to be returned.
%          When given, the number has to be correct (it is used to allocate 
%          the appropiate space for the array.
%

%   This function is part of the Matlab - Matisse interface
%   Version: Matlab 5.3.1.29215a (R11.1) - Matisse 5.0b2
%   Author:  Arnoud Visser <arnoud@science.uva.nl>
%   Date:    July 2001   

