% MtGetClass returns the key to a class of a given name.
%
%   [status, class] = MtGetClass (className);
%
%   The name of classes is not case sensitive. This function can be called 
%   either inside a transaction or during a version access.
%
%
%   OUTPUT [2]
%
%      status: 1xn array of char
%          The status indicates if the statement was successful evaluated,
%          otherwise a string other than 'MATISSE_SUCCESS' is returned.
%    
%     class: number
%          The key to the class whose name is className. 
%
%   INPUT [1]
%
%      className: string
%           A class name.
%
%   See also: 
%      MtGetAttribute
%      MtGetClassAttribute
%      MtGetClassRelationship
%      MtRelationship

%   This function is part of the Matlab - Matisse interface
%   Version: Matlab 5.3.1.29215a (R11.1) - Matisse 5.0b2
%   Author:  Arnoud Visser <arnoud@science.uva.nl>
%   Date:    July 2001   

