% MtGetIndex returns the key to an index of a given name.
%
%   [status, index] = MtGetIndex (indexName);
%
%   The name of the index is not case sensitive. This function can be called 
%   either inside a transaction or during a version access.
%
%
%   OUTPUT [2]
%
%      status: 1xn array of char
%          The status indicates if the statement was successful evaluated,
%          otherwise a string other than 'MATISSE_SUCCESS' is returned.
%    
%     index: number
%          The key to the index whose name is indexName. 
%
%   INPUT [1]
%
%      indexName: string
%           An index name.
%
%   See also: 
%      MtGetIndexInfo
%      MtOpenIndexEntriesStream

%   This function is part of the Matlab - Matisse interface
%   Version: Matlab 5.3.1.29215a (R11.1) - Matisse 5.0b2
%   Author:  Arnoud Visser <arnoud@science.uva.nl>
%   Date:    July 2001   
