% MtIsInstanceOf determines if the object is or is not an instance of the given class.
%
%   [status, result] = MtIsInstanceOf (object, classKey);
%   [status, result] = MtIsInstanceOf (object, className);
%
%   The result is 1 (MT_TRUE) if the object is an instance of the class or of 
%   one of its subclasses. Otherwise the result is 0 (MT_FALSE). 
%     
%   The name of the class is not case sensitive. 
%
%   OUTPUT [2]
%
%      status: 1xn array of char
%          The status indicates if the statement was successful evaluated,
%          otherwise a string other than 'MATISSE_SUCCESS' is returned.
%    
%      result: number
%          A boolean: 0 or 1. 
%
%   INPUT [2]
%
%     object: number
%           The key to an object.
%
%     class: number or string
%           The key to a class or a class name.
%
%
%   See also: 
%      MatisseReading

%   This function is part of the Matlab - Matisse interface
%   Version: Matlab 6.0.0.88 (R12) - Matisse 5.0.1
%   Author:  Arnoud Visser <arnoud@science.uva.nl>
%   Date:    December 2001

