% MtSQLAddObjectToSelection adds an object into an existing selection.
%
%   status = MtSQLAddObjectToSelection(selection, object);
%
%   This function adds an object to a selection. No stream should be currently opened
%   on the selection.
%
%   This function is useful when you want to interact between SQL and the MATISSE 
%   Client environment. For instance for sorting a list of objects on some criteria, 
%   the easiest way may be to add the objects in a selection and then run an query
%   on the selection with an ORDER BY clause.
%
%   OUTPUT [1]
%
%      status: 1xn array of char
%          The status indicates if the statement was successful evaluated,
%          otherwise a string other than 'MATISSE_SUCCESS' is returned.
%
%   INPUT [2]
%
%      selection: number or string
%         The key or name of a selection.
%
%      object: number
%          The key to an object to be added in the selection. 
%
%   See also: 
%      MatisseSQL

%   This function is part of the Matlab - Matisse interface
%   Version: Matlab 5.3.1.29215a (R11.1) - Matisse 5.0b2
%   Author:  Arnoud Visser <arnoud@science.uva.nl>
%   Date:    July 2001  
