function MatissePrintAttributes (obj)

[status, class] = MtGetObjectClass (obj);
[status, numberAttr] = MtGetAllAttributes (class);

if numberAttr
   [status, stream] = MtOpenAttributesStream (obj);
   n = 0;
   
   while n < numberAttr & strcmp (status, 'MATISSE_SUCCESS')
      [status, attr, specified] = MtNextProperty (stream);
      
      if attr & specified
         [status, name] = GetMtValue (attr, 'Mt Name');
         [status, type, default] = MtGetValue ( obj, attr, 1, 0, 0, 0, 1);
         if name & type & ~default
            [status, value] = GetMtValue (obj, name);
            if type == MatisseString2Type ('MT_DOUBLE')
               fprintf ('\t%s: %f\n', name, value);
            elseif type == MatisseString2Type ('MT_S16')
               fprintf ('\t%s: %d\n', name, value);
            elseif type == MatisseString2Type ('MT_S32')
               fprintf ('\t%s: %d\n', name, value);
            elseif type == MatisseString2Type ('MT_STRING')
               fprintf ('\t%s: ''%s''\n', name, value);
            elseif type == MatisseString2Type ('MT_TIMESTAMP')
               Vec = datevec (value);
               TS = sprintf ('%4d-%02d-%02d %02d:%02d:%09f', Vec(1), Vec(2), Vec(3), Vec(4), Vec(5), Vec(6));
               fprintf ('\t%s: ''%s''\n', name, TS);
            elseif type == MatisseString2Type ('MT_S32_LIST')
               switch length (value)
               case 1
                  fprintf ('\t%s: {%d}\n', name, value(1));
               case 2
                  fprintf ('\t%s: {%d, %d}\n', name, value(1), value(2));
               case 3
                  fprintf ('\t%s: {%d, %d, %d}\n', name, value(1), value(2), value(3));
               otherwise
                  fprintf ('\t%s: a list of %d signed integers\n', name, length (value));
               end
            else
               fprintf ('\t%s: tbd\n', name);
            end
         end
      end
      
      n = n + 1;
   end
   status = MtCloseStream (stream);
   
end
